Docker’s Latest Release Fixes Security Bugs

by Sean Shado    |   

Docker has released version 1.3.2 in efforts to remediate 2 security issues. One would allow malicious intruders to inject code that would remotely run commands against the host machine. The second vulnerability allows malicious intruders to loosen security privileges on the remote server. Sources report that Florian Weimer and Tonis Tiigi were the researchers who discovered the security flaws. The vulnerability has become such a high profile affair that the United States Computer Emergency Readiness Team US-CERT wrote a security bulletin on the topic.

Eric Windisch from Docker explained the exploit saying, “The Docker engine, up to and including version 1.3.1, was vulnerable to extracting files to arbitrary paths on the host during ‘docker pull’ and ‘docker load’ operations. This was caused by symlink and hardlink traversals present in Docker’s image extraction.”

The Docker security advisory warns users that the must upgrade to version 1.3.2 in order to be able to securely run Docker on your system. There are no remediation available for users with a version lower than 1.3.2 therefore it is imperative to go ahead and upgrade any Docker on your VMs.

Windisch continued talking about the exploits mentioning, “Docker versions 1.3.0 through 1.3.1 allowed security options to be applied to images, allowing images to modify the default run profile of containers executing these images. This vulnerability could allow a malicious image creator to loosen the restrictions applied to a container’s processes, potentially facilitating a break-out.”

Docker is an emerging technology that is here to stay. Docker is at the forefront of virtual containerization technology. Technology analysts such as Ben Kepes who writes at Forbes reminds us, “While it is in no way an indictment of the Docker project, it does show that early-stage projects are just that — early and still a little rough around the edges.”

Newsletter Signup
Sean Shado

Sean Shado